# Generated from jquery-datatables-rails-2.1.10.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jquery-datatables-rails

Name: rubygem-%{gem_name}
Version: 3.4.0
Release: 2%{?dist}
Summary: jQuery datatables for rails
License: MIT
URL: https://github.com/rweng/jquery-datatables-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
# License from upstream repo
# wget https://raw.githubusercontent.com/rweng/jquery-datatables-rails/master/LICENSE
Source1: LICENSE
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby 
BuildArch: noarch

%description
This gem packages the jQuery DataTables plugin for the Rails 3.1+ asset
pipeline. It provides all the basic DataTables files, and a few of
the extras.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

cp -a %{SOURCE1} .
%gemspec_add_file File.basename "%{SOURCE1}"

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

# Fix permissions
# https://github.com/rweng/jquery-datatables-rails/pull/235
find %{buildroot}%{gem_dir}/**/* -type f | xargs chmod 0644

#%%check
# There're no tests for this package

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%{gem_instdir}/app
%license %{gem_instdir}/LICENSE

%files doc
%doc %{gem_docdir}

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 25 2019 Pavel Valena <pvalena@redhat.com> - 3.4.0-1
- Update to jquery-datatables-rails 3.4.0.

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 23 2015 Josef Stribny <jstribny@redhat.com> - 3.2.0-1
- Update to 3.2.0

* Tue Sep 16 2014 Josef Stribny <jstribny@redhat.com> - 2.2.3-1
- Update to 2.2.3

* Thu Jul 24 2014 Josef Stribny <jstribny@redhat.com> - 2.1.10.0.3-1
- Initial package
